Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Member Functions | Data Fields
proofs::CborDoc Class Reference
Collaboration diagram for proofs::CborDoc:
[legend]

## Data Structures
union | U

## Public Member Functions
bool | decode (const uint8_t in[], size_t len, size_t &pos, size_t offset)
const CborDoc * | index (size_t index) const
const CborDoc * | lookup (const uint8_t *const in, size_t len, const uint8_t bytes[], size_t &ndx) const
const CborDoc * | lookup_unsigned (uint64_t k, size_t &ndx) const
const CborDoc * | lookup_negative (int64_t k, size_t &ndx) const
size_t | position () const
size_t | length () const

## Data Fields
size_t | header_pos_
enum CborTag | t_
union proofs::CborDoc::U | u_
std::vector< CborDoc > | children_

The documentation for this class was generated from the following file:

- lib/cbor/host_decoder.h